Loading...
Searching...
No Matches
caching configuration

## Data Structures

struct | svn_cache_config_t
| Cache resource settings. More...

## Typedefs

typedef struct svn_cache_config_t | svn_cache_config_t
| Cache resource settings.

## Functions

const svn_cache_config_t * | svn_cache_config_get (void)
| Get the current cache configuration.
void | svn_cache_config_set (const svn_cache_config_t *settings)
| Set the cache configuration.

## Detailed Description

Since
  New in 1.7.

## Typedef Documentation

## svn_cache_config_t

typedef struct svn_cache_config_t svn_cache_config_t

Cache resource settings.

It controls what caches, in what size and how they will be created. The settings apply for the whole process.

Note
  Do not extend this data structure as this would break binary compatibility.

Since
  New in 1.7.

## Function Documentation

## svn_cache_config_get()

const svn_cache_config_t * svn_cache_config_get | ( | void |  | ) |

Get the current cache configuration.

If it has not been set, this function will return the default settings.

Since
  New in 1.7.

## svn_cache_config_set()

void svn_cache_config_set | ( | const svn_cache_config_t * | settings | ) |

Set the cache configuration.

Please note that it may not change the actual configuration in use. Therefore, call it before reading data from any repo and call it only once.

This function is not thread-safe. Therefore, it should be called from the processes' initialization code only.

Since
  New in 1.7.